YaRSS2 Subscriptions unable to download torrents

Suggest, post, or discuss plugins for Deluge
steelsnake
New User
New User
Posts: 5
Joined: Fri Aug 21, 2015 4:18 pm
OS or Distro: Ubuntu

Re: YaRSS2 Subscriptions unable to download torrents

Postby steelsnake » Sat Sep 12, 2015 5:38 am

Interesting. You're right. Torcache definitely doesn't seem to like automated downloads :)

sgnews
New User
New User
Posts: 1
Joined: Fri Sep 18, 2015 11:56 pm
OS or Distro: Win7

Re: YaRSS2 Subscriptions unable to download torrents

Postby sgnews » Fri Sep 18, 2015 11:58 pm

Yeah it is definitely giving an interstitial page to the RSS reader. The readers are not smart enough to 'click here' and even if they could the referrer would need to be set.

This change in torcache coding also broke the feed in other torrent clients.

This method provided by nkvFzRnRIN13Br5H totally works, it is changing the referrer and agent; you're a genius! Thanks!

The internet provides (almost always) a workaround.

bro
Top Bloke
Top Bloke
Posts: 344
Joined: Sun Aug 28, 2011 6:46 pm
OS or Distro: Ubuntu/FreeBSD
Location: Norway

Re: YaRSS2 Subscriptions unable to download torrents

Postby bro » Sat Sep 19, 2015 11:56 pm

Hi guys

Would you try out the attached version and see how it works?

Both feedparser and requests should now use the same User agent as defined in yarss_config.py

Edit: That version (1.3.4) didn't actually work so well, but version 1.3.5 should work for the kickass RSS example. 1.3.5 also has a new setting to prefer the magnet link over the torrent link of both are present.

  • Updated feedparser to 5.2.0
  • Implemented support for setting label when Label plugin is enabled
  • Change user agent used when fetching RSS feeds with requests library.
  • Added option to ignore timestamps in RSS feeds.
  • Added option to prefer magnet link over torrent link.
Attachments
YaRSS2-1.3.5-py2.7.egg
(1.44 MiB) Downloaded 116 times
YaRSS2-1.3.4-py2.7.egg
(1.44 MiB) Downloaded 48 times
When reporting issues, please include any relevant information such as OS (and version), python version (for Windows users this depends on which Deluge installer was used), Deluge version and plugin version.

knifesk
New User
New User
Posts: 2
Joined: Thu Sep 24, 2015 4:09 am
OS or Distro: CentOS

Re: YaRSS2 Subscriptions unable to download torrents

Postby knifesk » Thu Sep 24, 2015 4:18 am

Can you build for Python 2.6, please? I couldn't...

Scenario:
Headless server: centos 6.7
Workstation: Windows 10, deluge 1.3.11

Centos:

Code: Select all

git clone https://bitbucket.org/bendikro/deluge-yarss-plugin.git
cd deluge-yarss-plugin
git checkout developement
python setup.py bdist_egg
mv dist/YaRSS2-1.3.3-py2.6.egg /var/lib/deluge/.config/deluge/plugins


copied builded egg to my windows box through shared folder, then added it to my deluge client and when I click the checkbox to enable the plugin, things go south in my centos terminal :(

Code: Select all

[ERROR   ] 22:05:42 rpcserver:304 Exception calling RPC request: 'CorePlugin.YaRSS2'
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/deluge/core/rpcserver.py", line 299, in dispatch
    ret = self.factory.methods[method](*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/deluge/core/core.py", line 524, in enable_plugin
    self.pluginmanager.enable_plugin(plugin)
  File "/usr/lib/python2.6/site-packages/deluge/core/pluginmanager.py", line 82, in enable_plugin
    super(PluginManager, self).enable_plugin(name)
  File "/usr/lib/python2.6/site-packages/deluge/pluginmanagerbase.py", line 151, in enable_plugin
    component.start([instance.plugin._component_name])
  File "/usr/lib/python2.6/site-packages/deluge/component.py", line 290, in start
    if self.components[name]._component_depend:
KeyError: 'CorePlugin.YaRSS2'

knifesk
New User
New User
Posts: 2
Joined: Thu Sep 24, 2015 4:09 am
OS or Distro: CentOS

Re: YaRSS2 Subscriptions unable to download torrents

Postby knifesk » Thu Sep 24, 2015 5:19 am

Nevermid... I made it work.. Had to replace the version number in the setup.py, then builded again, chowned (cause I forgot to do so before) and installed the plugin in both sides by separate and it worked.

I can't attach my build because maximum allowed size is 1 MiB.

this_is_totally
New User
New User
Posts: 1
Joined: Mon Sep 28, 2015 9:18 pm
OS or Distro: Debian Jessie

Re: YaRSS2 Subscriptions unable to download torrents

Postby this_is_totally » Mon Sep 28, 2015 9:22 pm

bro wrote:Hi guys

Would you try out the attached version and see how it works?

Both feedparser and requests should now use the same User agent as defined in yarss_config.py

Edit: That version (1.3.4) didn't actually work so well, but version 1.3.5 should work for the kickass RSS example. 1.3.5 also has a new setting to prefer the magnet link over the torrent link of both are present.

  • Updated feedparser to 5.2.0
  • Implemented support for setting label when Label plugin is enabled
  • Change user agent used when fetching RSS feeds with requests library.
  • Added option to ignore timestamps in RSS feeds.
  • Added option to prefer magnet link over torrent link.


Thanks so much bro!!! I had been working on this issue all morning before finding your updated .eggs. Instant fix :D

bro
Top Bloke
Top Bloke
Posts: 344
Joined: Sun Aug 28, 2011 6:46 pm
OS or Distro: Ubuntu/FreeBSD
Location: Norway

Re: YaRSS2 Subscriptions unable to download torrents

Postby bro » Mon Sep 28, 2015 10:51 pm

this_is_totally wrote:Thanks so much bro!!! I had been working on this issue all morning before finding your updated .eggs. Instant fix :D


You are much welcomed! As nobody have reported any issues with these I'll create a new official release very soon.
When reporting issues, please include any relevant information such as OS (and version), python version (for Windows users this depends on which Deluge installer was used), Deluge version and plugin version.

Hellmark
Member
Member
Posts: 12
Joined: Tue Jun 19, 2007 8:21 pm

Re: YaRSS2 Subscriptions unable to download torrents

Postby Hellmark » Sat Jun 04, 2016 3:50 am

Not sure if I am missing something, but I am running into a problem with this on KAT, and not sure what to do to get things working. I gotta be missing something since you already fixed it


Return to “Plugins”

Who is online

Users browsing this forum: Google [Bot] and 1 guest